Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/oscar.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -50,10 +50,10 @@
 #define USEROPT_AUTHPORT  1
 
-#define UC_AOL		0x02
-#define UC_ADMIN	0x04
-#define UC_UNCONFIRMED	0x08
-#define UC_NORMAL	0x10
-#define UC_AB		0x20
-#define UC_WIRELESS	0x40
+#define UC_AOL          0x02
+#define UC_ADMIN        0x04
+#define UC_UNCONFIRMED  0x08
+#define UC_NORMAL       0x10
+#define UC_AB           0x20
+#define UC_WIRELESS     0x40
 
 #define AIMHASHDATA "http://gaim.sourceforge.net/aim_data.php3"
@@ -62,5 +62,5 @@
 
 #define BUF_LEN 2048
-#define BUF_LONG ( BUF_LEN * 2 )
+#define BUF_LONG (BUF_LEN * 2)
 
 /* Don't know if support for UTF8 is really working. For now it's UTF16 here.
@@ -68,5 +68,5 @@
 
 static int gaim_caps = AIM_CAPS_INTEROP | AIM_CAPS_ICHAT | AIM_CAPS_ICQSERVERRELAY | AIM_CAPS_CHAT;
-static guint8 gaim_features[] = {0x01, 0x01, 0x01, 0x02};
+static guint8 gaim_features[] = { 0x01, 0x01, 0x01, 0x02 };
 
 struct oscar_data {
@@ -94,5 +94,5 @@
 	gboolean icq;
 	GSList *evilhack;
-	
+
 	GHashTable *ips;
 
@@ -139,11 +139,17 @@
 };
 
-static char *extract_name(const char *name) {
+static char *extract_name(const char *name)
+{
 	char *tmp;
 	int i, j;
 	char *x = strchr(name, '-');
-	if (!x) return g_strdup(name);
+
+	if (!x) {
+		return g_strdup(name);
+	}
 	x = strchr(++x, '-');
-	if (!x) return g_strdup(name);
+	if (!x) {
+		return g_strdup(name);
+	}
 	tmp = g_strdup(++x);
 
@@ -156,5 +162,5 @@
 		strncpy(hex, x + ++i, 2); hex[2] = 0;
 		i++;
-		tmp[j++] = (char)strtol(hex, NULL, 16);
+		tmp[j++] = (char) strtol(hex, NULL, 16);
 	}
 
@@ -164,12 +170,14 @@
 
 static struct chat_connection *find_oscar_chat_by_conn(struct im_connection *ic,
-							aim_conn_t *conn) {
-	GSList *g = ((struct oscar_data *)ic->proto_data)->oscar_chats;
+                                                       aim_conn_t *conn)
+{
+	GSList *g = ((struct oscar_data *) ic->proto_data)->oscar_chats;
 	struct chat_connection *c = NULL;
 
 	while (g) {
-		c = (struct chat_connection *)g->data;
-		if (c->conn == conn)
+		c = (struct chat_connection *) g->data;
+		if (c->conn == conn) {
 			break;
+		}
 		g = g->next;
 		c = NULL;
@@ -179,39 +187,39 @@
 }
 
-static int gaim_parse_auth_resp  (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_login      (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_logout     (aim_session_t *, aim_frame_t *, ...);
-static int gaim_handle_redirect  (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_oncoming   (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_offgoing   (aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_auth_resp(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_login(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_logout(aim_session_t *, aim_frame_t *, ...);
+static int gaim_handle_redirect(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_oncoming(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_offgoing(aim_session_t *, aim_frame_t *, ...);
 static int gaim_parse_incoming_im(aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_misses     (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_motd       (aim_session_t *, aim_frame_t *, ...);
-static int gaim_chatnav_info     (aim_session_t *, aim_frame_t *, ...);
-static int gaim_chat_join        (aim_session_t *, aim_frame_t *, ...);
-static int gaim_chat_leave       (aim_session_t *, aim_frame_t *, ...);
-static int gaim_chat_info_update (aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_misses(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_motd(aim_session_t *, aim_frame_t *, ...);
+static int gaim_chatnav_info(aim_session_t *, aim_frame_t *, ...);
+static int gaim_chat_join(aim_session_t *, aim_frame_t *, ...);
+static int gaim_chat_leave(aim_session_t *, aim_frame_t *, ...);
+static int gaim_chat_info_update(aim_session_t *, aim_frame_t *, ...);
 static int gaim_chat_incoming_msg(aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_ratechange (aim_session_t *, aim_frame_t *, ...);
-static int gaim_bosrights        (aim_session_t *, aim_frame_t *, ...);
-static int conninitdone_bos      (aim_session_t *, aim_frame_t *, ...);
-static int conninitdone_admin    (aim_session_t *, aim_frame_t *, ...);
-static int conninitdone_chat     (aim_session_t *, aim_frame_t *, ...);
-static int conninitdone_chatnav  (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_msgerr     (aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_ratechange(aim_session_t *, aim_frame_t *, ...);
+static int gaim_bosrights(aim_session_t *, aim_frame_t *, ...);
+static int conninitdone_bos(aim_session_t *, aim_frame_t *, ...);
+static int conninitdone_admin(aim_session_t *, aim_frame_t *, ...);
+static int conninitdone_chat(aim_session_t *, aim_frame_t *, ...);
+static int conninitdone_chatnav(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_msgerr(aim_session_t *, aim_frame_t *, ...);
 static int gaim_parse_locaterights(aim_session_t *, aim_frame_t *, ...);
 static int gaim_parse_buddyrights(aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_locerr     (aim_session_t *, aim_frame_t *, ...);
-static int gaim_icbm_param_info  (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parse_genericerr (aim_session_t *, aim_frame_t *, ...);
-static int gaim_selfinfo         (aim_session_t *, aim_frame_t *, ...);
-static int gaim_offlinemsg       (aim_session_t *, aim_frame_t *, ...);
-static int gaim_offlinemsgdone   (aim_session_t *, aim_frame_t *, ...);
-static int gaim_ssi_parserights  (aim_session_t *, aim_frame_t *, ...);
-static int gaim_ssi_parselist    (aim_session_t *, aim_frame_t *, ...);
-static int gaim_ssi_parseack     (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parsemtn         (aim_session_t *, aim_frame_t *, ...);
-static int gaim_icqinfo          (aim_session_t *, aim_frame_t *, ...);
-static int gaim_parseaiminfo     (aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_locerr(aim_session_t *, aim_frame_t *, ...);
+static int gaim_icbm_param_info(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parse_genericerr(aim_session_t *, aim_frame_t *, ...);
+static int gaim_selfinfo(aim_session_t *, aim_frame_t *, ...);
+static int gaim_offlinemsg(aim_session_t *, aim_frame_t *, ...);
+static int gaim_offlinemsgdone(aim_session_t *, aim_frame_t *, ...);
+static int gaim_ssi_parserights(aim_session_t *, aim_frame_t *, ...);
+static int gaim_ssi_parselist(aim_session_t *, aim_frame_t *, ...);
+static int gaim_ssi_parseack(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parsemtn(aim_session_t *, aim_frame_t *, ...);
+static int gaim_icqinfo(aim_session_t *, aim_frame_t *, ...);
+static int gaim_parseaiminfo(aim_session_t *, aim_frame_t *, ...);
 
 static char *msgerrreason[] = {
@@ -268,6 +276,7 @@
 
 static gboolean oscar_callback(gpointer data, gint source,
-				b_input_condition condition) {
-	aim_conn_t *conn = (aim_conn_t *)data;
+                               b_input_condition condition)
+{
+	aim_conn_t *conn = (aim_conn_t *) data;
 	aim_session_t *sess = aim_conn_getsess(conn);
 	struct im_connection *ic = sess ? sess->aux_data : NULL;
@@ -278,21 +287,22 @@
 		return FALSE;
 	}
-      
+
 	if (!g_slist_find(get_connections(), ic)) {
-		/* oh boy. this is probably bad. i guess the only thing we 
+		/* oh boy. this is probably bad. i guess the only thing we
 		 * can really do is return? */
 		return FALSE;
 	}
 
-	odata = (struct oscar_data *)ic->proto_data;
+	odata = (struct oscar_data *) ic->proto_data;
 
 	if (condition & B_EV_IO_READ) {
 		if (aim_get_command(odata->sess, conn) >= 0) {
 			aim_rxdispatch(odata->sess);
-                               if (odata->killme)
-                                       imc_logout(ic, !odata->no_reconnect);
+			if (odata->killme) {
+				imc_logout(ic, !odata->no_reconnect);
+			}
 		} else {
 			if ((conn->type == AIM_CONN_TYPE_BOS) ||
-				   !(aim_getconn_type(odata->sess, AIM_CONN_TYPE_BOS))) {
+			    !(aim_getconn_type(odata->sess, AIM_CONN_TYPE_BOS))) {
 				imcb_error(ic, _("Disconnected."));
 				imc_logout(ic, TRUE);
@@ -300,6 +310,7 @@
 				struct chat_connection *c = find_oscar_chat_by_conn(ic, conn);
 				c->conn = NULL;
-				if (c->inpa > 0)
+				if (c->inpa > 0) {
 					b_event_remove(c->inpa);
+				}
 				c->inpa = 0;
 				c->fd = -1;
@@ -307,6 +318,7 @@
 				imcb_error(sess->aux_data, _("You have been disconnected from chat room %s."), c->name);
 			} else if (conn->type == AIM_CONN_TYPE_CHATNAV) {
-				if (odata->cnpa > 0)
+				if (odata->cnpa > 0) {
 					b_event_remove(odata->cnpa);
+				}
 				odata->cnpa = 0;
 				while (odata->create_rooms) {
@@ -314,5 +326,5 @@
 					g_free(cr->name);
 					odata->create_rooms =
-						g_slist_remove(odata->create_rooms, cr);
+					        g_slist_remove(odata->create_rooms, cr);
 					g_free(cr);
 					imcb_error(sess->aux_data, _("Chat is currently unavailable"));
@@ -320,6 +332,7 @@
 				aim_conn_kill(odata->sess, &conn);
 			} else if (conn->type == AIM_CONN_TYPE_AUTH) {
-				if (odata->paspa > 0)
+				if (odata->paspa > 0) {
 					b_event_remove(odata->paspa);
+				}
 				odata->paspa = 0;
 				aim_conn_kill(odata->sess, &conn);
@@ -332,5 +345,5 @@
 		return FALSE;
 	}
-		
+
 	return TRUE;
 }
@@ -360,6 +373,6 @@
 	aim_conn_completeconnect(sess, conn);
 	ic->inpa = b_input_add(conn->fd, B_EV_IO_READ,
-			oscar_callback, conn);
-	
+	                       oscar_callback, conn);
+
 	return FALSE;
 }
@@ -369,24 +382,25 @@
 	set_t *s;
 	gboolean icq = g_ascii_isdigit(acc->user[0]);
-	
+
 	if (icq) {
 		set_add(&acc->set, "ignore_auth_requests", "false", set_eval_bool, acc);
 		set_add(&acc->set, "old_icq_auth", "false", set_eval_bool, acc);
 	}
-	
+
 	s = set_add(&acc->set, "server",
 	            icq ? AIM_DEFAULT_LOGIN_SERVER_ICQ
-	                : AIM_DEFAULT_LOGIN_SERVER_AIM, set_eval_account, acc);
+		    : AIM_DEFAULT_LOGIN_SERVER_AIM, set_eval_account, acc);
 	s->flags |= SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
-	
+
 	if (icq) {
 		s = set_add(&acc->set, "web_aware", "false", set_eval_bool, acc);
 		s->flags |= ACC_SET_OFFLINE_ONLY;
 	}
-	
+
 	acc->flags |= ACC_FLAG_AWAY_MESSAGE;
 }
 
-static void oscar_login(account_t *acc) {
+static void oscar_login(account_t *acc)
+{
 	aim_session_t *sess;
 	aim_conn_t *conn;
@@ -394,8 +408,9 @@
 	struct oscar_data *odata = ic->proto_data = g_new0(struct oscar_data, 1);
 
-	if (g_ascii_isdigit(acc->user[0]))
+	if (g_ascii_isdigit(acc->user[0])) {
 		odata->icq = TRUE;
-	else
+	} else {
 		ic->flags |= OPT_DOES_HTML;
+	}
 
 	sess = g_new0(aim_session_t, 1);
@@ -415,5 +430,5 @@
 		return;
 	}
-	
+
 	imcb_log(ic, _("Signon: %s"), ic->acc->user);
 
@@ -432,11 +447,13 @@
 }
 
-static void oscar_logout(struct im_connection *ic) {
-	struct oscar_data *odata = (struct oscar_data *)ic->proto_data;
-	
+static void oscar_logout(struct im_connection *ic)
+{
+	struct oscar_data *odata = (struct oscar_data *) ic->proto_data;
+
 	while (odata->oscar_chats) {
 		struct chat_connection *n = odata->oscar_chats->data;
-		if (n->inpa > 0)
+		if (n->inpa > 0) {
 			b_event_remove(n->inpa);
+		}
 		g_free(n->name);
 		g_free(n->show);
@@ -450,18 +467,25 @@
 		g_free(cr);
 	}
-	if (odata->ips)
+	if (odata->ips) {
 		g_hash_table_destroy(odata->ips);
-	if (odata->email)
+	}
+	if (odata->email) {
 		g_free(odata->email);
-	if (odata->newp)
+	}
+	if (odata->newp) {
 		g_free(odata->newp);
-	if (odata->oldp)
+	}
+	if (odata->oldp) {
 		g_free(odata->oldp);
-	if (ic->inpa > 0)
+	}
+	if (ic->inpa > 0) {
 		b_event_remove(ic->inpa);
-	if (odata->cnpa > 0)
+	}
+	if (odata->cnpa > 0) {
 		b_event_remove(odata->cnpa);
-	if (odata->paspa > 0)
+	}
+	if (odata->paspa > 0) {
 		b_event_remove(odata->paspa);
+	}
 	aim_session_kill(odata->sess);
 	g_free(odata->sess);
@@ -471,5 +495,6 @@
 }
 
-static gboolean oscar_bos_connect(gpointer data, gint source, b_input_condition cond) {
+static gboolean oscar_bos_connect(gpointer data, gint source, b_input_condition cond)
+{
 	struct im_connection *ic = data;
 	struct oscar_data *odata;
@@ -494,11 +519,12 @@
 	aim_conn_completeconnect(sess, bosconn);
 	ic->inpa = b_input_add(bosconn->fd, B_EV_IO_READ,
-			oscar_callback, bosconn);
+	                       oscar_callback, bosconn);
 	imcb_log(ic, _("Connection established, cookie sent"));
-	
+
 	return FALSE;
 }
 
-static int gaim_parse_auth_resp(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_parse_auth_resp(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	va_list ap;
 	struct aim_authresp_info *info;
@@ -507,5 +533,6 @@
 
 	struct im_connection *ic = sess->aux_data;
-        struct oscar_data *od = ic->proto_data;
+	struct oscar_data *od = ic->proto_data;
+
 	port = AIM_LOGIN_PORT;
 
@@ -521,9 +548,10 @@
 			{
 				int max = od->icq ? 8 : 16;
-				if (strlen(ic->acc->pass) > max)
+				if (strlen(ic->acc->pass) > max) {
 					imcb_log(ic, "Note that the maximum password "
 					         "length supported by this protocol is "
 					         "%d characters, try logging in using "
 					         "a shorter password.", max);
+				}
 			}
 //			plugin_event(event_error, (void *)980, 0, 0, 0);
@@ -536,5 +564,7 @@
 			/* connecting too frequently */
 			od->no_reconnect = TRUE;
-			imcb_error(ic, _("You have been connecting and disconnecting too frequently. Wait ten minutes and try again. If you continue to try, you will need to wait even longer."));
+			imcb_error(ic,
+			           _(
+			                   "You have been connecting and disconnecting too frequently. Wait ten minutes and try again. If you continue to try, you will need to wait even longer."));
 			break;
 		case 0x1c:
@@ -589,8 +619,8 @@
 	aim_conn_addhandler(sess, bosconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNERR, gaim_parse_logout, 0);
 
-	((struct oscar_data *)ic->proto_data)->conn = bosconn;
-	for (i = 0; i < (int)strlen(info->bosip); i++) {
+	((struct oscar_data *) ic->proto_data)->conn = bosconn;
+	for (i = 0; i < (int) strlen(info->bosip); i++) {
 		if (info->bosip[i] == ':') {
-			port = atoi(&(info->bosip[i+1]));
+			port = atoi(&(info->bosip[i + 1]));
 			break;
 		}
@@ -614,7 +644,8 @@
 #define AIM_MAX_FILE_SIZE 98304
 
-static int gaim_parse_login(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_parse_login(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 #if 0
-	struct client_info_s info = {"gaim", 4, 1, 2010, "us", "en", 0x0004, 0x0000, 0x04b};
+	struct client_info_s info = { "gaim", 4, 1, 2010, "us", "en", 0x0004, 0x0000, 0x04b };
 #else
 	struct client_info_s info = AIM_CLIENTINFO_KNOWNGOOD;
@@ -633,5 +664,6 @@
 }
 
-static int gaim_parse_logout(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_parse_logout(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	struct im_connection *ic = sess->aux_data;
 	struct oscar_data *odata = ic->proto_data;
@@ -642,13 +674,13 @@
 	code = va_arg(ap, int);
 	va_end(ap);
-	
-	imcb_error( ic, "Connection aborted by server: %s", code == 1 ?
-	                "someone else logged in with your account" :
-	                "unknown reason" );
-	
+
+	imcb_error(ic, "Connection aborted by server: %s", code == 1 ?
+	           "someone else logged in with your account" :
+	           "unknown reason");
+
 	/* Tell BitlBee to disable auto_reconnect if code == 1, since that
 	   means a concurrent login somewhere else. */
 	odata->no_reconnect = code == 1;
-	
+
 	/* DO NOT log out here! Just tell the callback to do it. */
 	odata->killme = TRUE;
@@ -657,5 +689,6 @@
 }
 
-static int conninitdone_chat(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int conninitdone_chat(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	struct im_connection *ic = sess->aux_data;
 	struct chat_connection *chatcon;
@@ -673,10 +706,11 @@
 	chatcon = find_oscar_chat_by_conn(ic, fr->conn);
 	chatcon->id = id;
-	
+
 	c = bee_chat_by_title(ic->bee, ic, chatcon->show);
-	if (c && !c->data)
+	if (c && !c->data) {
 		chatcon->cnv = c;
-	else
+	} else {
 		chatcon->cnv = imcb_chat_new(ic, chatcon->show);
+	}
 	chatcon->cnv->data = chatcon;
 
@@ -684,5 +718,6 @@
 }
 
-static int conninitdone_chatnav(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int conninitdone_chatnav(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 
 	aim_conn_addhandler(sess, fr->conn, AIM_CB_FAM_CTN, AIM_CB_CTN_ERROR, gaim_parse_genericerr, 0);
@@ -696,5 +731,6 @@
 }
 
-static gboolean oscar_chatnav_connect(gpointer data, gint source, b_input_condition cond) {
+static gboolean oscar_chatnav_connect(gpointer data, gint source, b_input_condition cond)
+{
 	struct im_connection *ic = data;
 	struct oscar_data *odata;
@@ -718,6 +754,6 @@
 	aim_conn_completeconnect(sess, tstconn);
 	odata->cnpa = b_input_add(tstconn->fd, B_EV_IO_READ,
-					oscar_callback, tstconn);
-	
+	                          oscar_callback, tstconn);
+
 	return FALSE;
 }
@@ -746,6 +782,6 @@
 	aim_conn_completeconnect(sess, tstconn);
 	odata->paspa = b_input_add(tstconn->fd, B_EV_IO_READ,
-				oscar_callback, tstconn);
-	
+	                           oscar_callback, tstconn);
+
 	return FALSE;
 }
@@ -781,13 +817,14 @@
 	aim_conn_completeconnect(sess, ccon->conn);
 	ccon->inpa = b_input_add(tstconn->fd,
-			B_EV_IO_READ,
-			oscar_callback, tstconn);
+	                         B_EV_IO_READ,
+	                         oscar_callback, tstconn);
 	odata->oscar_chats = g_slist_append(odata->oscar_chats, ccon);
-	
+
 	return FALSE;
 }
 
 /* Hrmph. I don't know how to make this look better. --mid */
-static int gaim_handle_redirect(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_handle_redirect(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	va_list ap;
 	struct aim_redirect_data *redir;
@@ -803,7 +840,7 @@
 
 	port = AIM_LOGIN_PORT;
-	for (i = 0; i < (int)strlen(redir->ip); i++) {
+	for (i = 0; i < (int) strlen(redir->ip); i++) {
 		if (redir->ip[i] == ':') {
-			port = atoi(&(redir->ip[i+1]));
+			port = atoi(&(redir->ip[i + 1]));
 			break;
 		}
@@ -811,5 +848,5 @@
 	host = g_strndup(redir->ip, i);
 
-	switch(redir->group) {
+	switch (redir->group) {
 	case 0x7: /* Authorizer */
 		tstconn = aim_newconn(sess, AIM_CONN_TYPE_AUTH, NULL);
@@ -818,5 +855,6 @@
 			return 1;
 		}
-		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE, conninitdone_admin, 0);
+		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE, conninitdone_admin,
+		                    0);
 //		aim_conn_addhandler(sess, tstconn, 0x0007, 0x0003, gaim_info_change, 0);
 //		aim_conn_addhandler(sess, tstconn, 0x0007, 0x0005, gaim_info_change, 0);
@@ -838,5 +876,6 @@
 			return 1;
 		}
-		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE, conninitdone_chatnav, 0);
+		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE,
+		                    conninitdone_chatnav, 0);
 
 		tstconn->status |= AIM_CONN_STATUS_INPROGRESS;
@@ -850,5 +889,5 @@
 		break;
 	case 0xe: /* Chat */
-		{
+	{
 		struct chat_connection *ccon;
 
@@ -859,5 +898,6 @@
 		}
 
-		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE, conninitdone_chat, 0);
+		aim_conn_addhandler(sess, tstconn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNINITDONE, conninitdone_chat,
+		                    0);
 
 		ccon = g_new0(struct chat_connection, 1);
@@ -869,5 +909,5 @@
 		ccon->instance = redir->chat.instance;
 		ccon->show = extract_name(redir->chat.room);
-		
+
 		ccon->conn->status |= AIM_CONN_STATUS_INPROGRESS;
 		ccon->conn->fd = proxy_connect(host, port, oscar_chat_connect, ccon);
@@ -881,6 +921,6 @@
 		}
 		aim_sendcookie(sess, tstconn, redir->cookie);
-		}
-		break;
+	}
+	break;
 	default: /* huh? */
 		break;
@@ -891,5 +931,6 @@
 }
 
-static int gaim_parse_oncoming(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_parse_oncoming(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	struct im_connection *ic = sess->aux_data;
 	struct oscar_data *od = ic->proto_data;
@@ -900,4 +941,5 @@
 
 	va_list ap;
+
 	va_start(ap, fr);
 	info = va_arg(ap, aim_userinfo_t *);
@@ -905,44 +947,50 @@
 
 	if ((!od->icq) && (info->present & AIM_USERINFO_PRESENT_FLAGS)) {
-		if (info->flags & AIM_FLAG_AWAY)
+		if (info->flags & AIM_FLAG_AWAY) {
 			flags |= OPT_AWAY;
-	}
-	
+		}
+	}
+
 	/* Maybe this should be done just for AIM contacts, not sure. */
-	if (info->flags & AIM_FLAG_WIRELESS)
+	if (info->flags & AIM_FLAG_WIRELESS) {
 		flags |= OPT_MOBILE;
-	
+	}
+
 	if (info->present & AIM_USERINFO_PRESENT_ICQEXTSTATUS) {
 		if (!(info->icqinfo.status & AIM_ICQ_STATE_CHAT) &&
-		      (info->icqinfo.status != AIM_ICQ_STATE_NORMAL)) {
+		    (info->icqinfo.status != AIM_ICQ_STATE_NORMAL)) {
 			flags |= OPT_AWAY;
 		}
-		
-		if( info->icqinfo.status & AIM_ICQ_STATE_DND )
+
+		if (info->icqinfo.status & AIM_ICQ_STATE_DND) {
 			state_string = "Do Not Disturb";
-		else if( info->icqinfo.status & AIM_ICQ_STATE_OUT )
+		} else if (info->icqinfo.status & AIM_ICQ_STATE_OUT) {
 			state_string = "Not Available";
-		else if( info->icqinfo.status & AIM_ICQ_STATE_BUSY )
+		} else if (info->icqinfo.status & AIM_ICQ_STATE_BUSY) {
 			state_string = "Occupied";
-		else if( info->icqinfo.status & AIM_ICQ_STATE_INVISIBLE )
+		} else if (info->icqinfo.status & AIM_ICQ_STATE_INVISIBLE) {
 			state_string = "Invisible";
+		}
 	}
 
 	if (info->present & AIM_USERINFO_PRESENT_IDLE) {
 		time(&time_idle);
-		time_idle -= info->idletime*60;
-	}
-
-	if (info->present & AIM_USERINFO_PRESENT_SESSIONLEN)
+		time_idle -= info->idletime * 60;
+	}
+
+	if (info->present & AIM_USERINFO_PRESENT_SESSIONLEN) {
 		signon = time(NULL) - info->sessionlen;
+	}
 
 	if (info->present & AIM_USERINFO_PRESENT_ICQIPADDR) {
 		uint32_t *uin = g_new0(uint32_t, 1);
-		
-		if (od->ips == NULL)
+
+		if (od->ips == NULL) {
 			od->ips = g_hash_table_new_full(g_int_hash, g_int_equal, g_free, NULL);
-		
-		if (sscanf(info->sn, "%d", uin) == 1)
+		}
+
+		if (sscanf(info->sn, "%d", uin) == 1) {
 			g_hash_table_insert(od->ips, uin, (gpointer) (long) info->icqinfo.ipaddr);
+		}
 	}
 
@@ -955,5 +1003,6 @@
 }
 
-static int gaim_parse_offgoing(aim_session_t *sess, aim_frame_t *fr, ...) {
+static int gaim_parse_offgoing(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	aim_userinfo_t *info;
 	va_list ap;
@@ -964,25 +1013,29 @@
 	va_end(ap);
 
-	imcb_buddy_status(ic, normalize(info->sn), 0, NULL, NULL );
-
-	return 1;
-}
-
-static int incomingim_chan1(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo, struct aim_incomingim_ch1_args *args) {
+	imcb_buddy_status(ic, normalize(info->sn), 0, NULL, NULL);
+
+	return 1;
+}
+
+static int incomingim_chan1(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo,
+                            struct aim_incomingim_ch1_args *args)
+{
 	char *tmp = g_malloc(BUF_LONG + 1);
 	struct im_connection *ic = sess->aux_data;
 	int flags = 0;
-	
-	if (args->icbmflags & AIM_IMFLAGS_AWAY)
+
+	if (args->icbmflags & AIM_IMFLAGS_AWAY) {
 		flags |= OPT_AWAY;
-	
+	}
+
 	if ((args->icbmflags & AIM_IMFLAGS_UNICODE) || (args->icbmflags & AIM_IMFLAGS_ISO_8859_1)) {
 		char *src;
-		
-		if (args->icbmflags & AIM_IMFLAGS_UNICODE)
+
+		if (args->icbmflags & AIM_IMFLAGS_UNICODE) {
 			src = "UCS-2BE";
-		else
+		} else {
 			src = "ISO8859-1";
-		
+		}
+
 		/* Try to use iconv first to convert the message to UTF8 - which is what BitlBee expects */
 		if (do_iconv(src, "UTF-8", args->msg, tmp, args->msglen, BUF_LONG) >= 0) {
@@ -990,14 +1043,14 @@
 		} else if (args->icbmflags & AIM_IMFLAGS_UNICODE) {
 			int i;
-			
+
 			for (i = 0, tmp[0] = '\0'; i < args->msglen; i += 2) {
 				unsigned short uni;
-				
-				uni = ((args->msg[i] & 0xff) << 8) | (args->msg[i+1] & 0xff);
-	
+
+				uni = ((args->msg[i] & 0xff) << 8) | (args->msg[i + 1] & 0xff);
+
 				if ((uni < 128) || ((uni >= 160) && (uni <= 255))) { /* ISO 8859-1 */
-					g_snprintf(tmp+strlen(tmp), BUF_LONG-strlen(tmp), "%c", uni);
+					g_snprintf(tmp + strlen(tmp), BUF_LONG - strlen(tmp), "%c", uni);
 				} else { /* something else, do UNICODE entity */
-					g_snprintf(tmp+strlen(tmp), BUF_LONG-strlen(tmp), "&#%04x;", uni);
+					g_snprintf(tmp + strlen(tmp), BUF_LONG - strlen(tmp), "&#%04x;", uni);
 				}
 			}
@@ -1009,18 +1062,18 @@
 	} else {
 		aim_mpmsg_section_t *part;
-		
+
 		*tmp = 0;
 		for (part = args->mpmsg.parts; part; part = part->next) {
 			if (part->data) {
-				g_strlcat(tmp, (char*) part->data, BUF_LONG);
+				g_strlcat(tmp, (char *) part->data, BUF_LONG);
 				g_strlcat(tmp, "\n", BUF_LONG);
 			}
 		}
 	}
-	
+
 	strip_linefeed(tmp);
 	imcb_buddy_msg(ic, normalize(userinfo->sn), tmp, flags, 0);
 	g_free(tmp);
-	
+
 	return 1;
 }
@@ -1028,10 +1081,13 @@
 void oscar_accept_chat(void *data);
 void oscar_reject_chat(void *data);
-	
-static int incomingim_chan2(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo, struct aim_incomingim_ch2_args *args) {
+
+static int incomingim_chan2(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo,
+                            struct aim_incomingim_ch2_args *args)
+{
 	struct im_connection *ic = sess->aux_data;
 
-	if (args->status != AIM_RENDEZVOUS_PROPOSE)
+	if (args->status != AIM_RENDEZVOUS_PROPOSE) {
 		return 1;
+	}
 
 	if (args->reqclass & AIM_CAPS_CHAT) {
@@ -1051,12 +1107,13 @@
 		inv->exchange = *exch;
 		inv->name = g_strdup(name);
-		
+
 		imcb_ask(ic, txt, inv, oscar_accept_chat, oscar_reject_chat);
-	
-		if (name)
+
+		if (name) {
 			g_free(name);
+		}
 	} else if (args->reqclass & AIM_CAPS_ICQRTF) {
 		// TODO: constify
-		char text[strlen(args->info.rtfmsg.rtfmsg)+1];
+		char text[strlen(args->info.rtfmsg.rtfmsg) + 1];
 		strncpy(text, args->info.rtfmsg.rtfmsg, sizeof(text));
 		imcb_buddy_msg(ic, normalize(userinfo->sn), text, 0, 0);
@@ -1066,9 +1123,10 @@
 }
 
-static void gaim_icq_authgrant(void *data_) {
+static void gaim_icq_authgrant(void *data_)
+{
 	struct icq_auth *data = data_;
 	char *uin;
-	struct oscar_data *od = (struct oscar_data *)data->ic->proto_data;
-	
+	struct oscar_data *od = (struct oscar_data *) data->ic->proto_data;
+
 	uin = g_strdup_printf("%u", data->uin);
 	aim_ssi_auth_reply(od->sess, od->conn, uin, 1, "");
@@ -1076,14 +1134,15 @@
 	// aim_send_im_ch4(od->sess, uin, AIM_ICQMSG_AUTHGRANTED, &message);
 	imcb_ask_add(data->ic, uin, NULL);
-	
+
 	g_free(uin);
 	g_free(data);
 }
 
-static void gaim_icq_authdeny(void *data_) {
+static void gaim_icq_authdeny(void *data_)
+{
 	struct icq_auth *data = data_;
 	char *uin, *message;
-	struct oscar_data *od = (struct oscar_data *)data->ic->proto_data;
-	
+	struct oscar_data *od = (struct oscar_data *) data->ic->proto_data;
+
 	uin = g_strdup_printf("%u", data->uin);
 	message = g_strdup_printf("No reason given.");
@@ -1091,5 +1150,5 @@
 	// aim_send_im_ch4(od->sess, uin, AIM_ICQMSG_AUTHDENIED, message);
 	g_free(message);
-	
+
 	g_free(uin);
 	g_free(data);
@@ -1099,18 +1158,22 @@
  * For when other people ask you for authorization
  */
-static void gaim_icq_authask(struct im_connection *ic, guint32 uin, char *msg) {
+static void gaim_icq_authask(struct im_connection *ic, guint32 uin, char *msg)
+{
 	struct icq_auth *data;
 	char *reason = NULL;
 	char *dialog_msg;
 
-	if (set_getbool(&ic->acc->set, "ignore_auth_requests"))
+	if (set_getbool(&ic->acc->set, "ignore_auth_requests")) {
 		return;
-	
+	}
+
 	data = g_new(struct icq_auth, 1);
 
-	if (strlen(msg) > 6)
+	if (strlen(msg) > 6) {
 		reason = msg + 6;
-	
-	dialog_msg = g_strdup_printf("The user %u wants to add you to their buddy list for the following reason: %s", uin, reason ? reason : "No reason given.");
+	}
+
+	dialog_msg = g_strdup_printf("The user %u wants to add you to their buddy list for the following reason: %s",
+	                             uin, reason ? reason : "No reason given.");
 	data->ic = ic;
 	data->uin = uin;
@@ -1119,62 +1182,68 @@
 }
 
-static int incomingim_chan4(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo, struct aim_incomingim_ch4_args *args) {
+static int incomingim_chan4(aim_session_t *sess, aim_conn_t *conn, aim_userinfo_t *userinfo,
+                            struct aim_incomingim_ch4_args *args)
+{
 	struct im_connection *ic = sess->aux_data;
 
 	switch (args->type) {
-		case 0x0001: { /* An almost-normal instant message.  Mac ICQ sends this.  It's peculiar. */
-			char *uin, *message;
-			uin = g_strdup_printf("%u", args->uin);
-			message = g_strdup(args->msg);
-			strip_linefeed(message);
-			imcb_buddy_msg(ic, normalize(uin), message, 0, 0);
-			g_free(uin);
-			g_free(message);
-		} break;
-
-		case 0x0004: { /* Someone sent you a URL */
-		  	char *uin, *message;
-			char **m;
-	
-			uin = g_strdup_printf("%u", args->uin);
-			m = g_strsplit(args->msg, "\376", 2);
-
-			if ((strlen(m[0]) != 0)) {
-			  message = g_strjoinv(" -- ", m);
-			} else {
-			  message = m[1];
-			}
-
-			strip_linefeed(message);
-			imcb_buddy_msg(ic, normalize(uin), message, 0, 0);
-			g_free(uin);
-			g_free(m);
-			g_free(message);
-		} break;
-		
-		case 0x0006: { /* Someone requested authorization */
-			gaim_icq_authask(ic, args->uin, args->msg);
-		} break;
-
-		case 0x0007: { /* Someone has denied you authorization */
-			imcb_log(sess->aux_data, "The user %u has denied your request to add them to your contact list for the following reason:\n%s", args->uin, args->msg ? args->msg : _("No reason given.") );
-		} break;
-
-		case 0x0008: { /* Someone has granted you authorization */
-			imcb_log(sess->aux_data, "The user %u has granted your request to add them to your contact list for the following reason:\n%s", args->uin, args->msg ? args->msg : _("No reason given.") );
-		} break;
-
-		case 0x0012: {
-			/* Ack for authorizing/denying someone.  Or possibly an ack for sending any system notice */
-		} break;
-
-		default: {;
-		} break;
-	}
-
-	return 1;
-}
-
-static int gaim_parse_incoming_im(aim_session_t *sess, aim_frame_t *fr, ...) {
+	case 0x0001: {         /* An almost-normal instant message.  Mac ICQ sends this.  It's peculiar. */
+		char *uin, *message;
+		uin = g_strdup_printf("%u", args->uin);
+		message = g_strdup(args->msg);
+		strip_linefeed(message);
+		imcb_buddy_msg(ic, normalize(uin), message, 0, 0);
+		g_free(uin);
+		g_free(message);
+	} break;
+
+	case 0x0004: {         /* Someone sent you a URL */
+		char *uin, *message;
+		char **m;
+
+		uin = g_strdup_printf("%u", args->uin);
+		m = g_strsplit(args->msg, "\376", 2);
+
+		if ((strlen(m[0]) != 0)) {
+			message = g_strjoinv(" -- ", m);
+		} else {
+			message = m[1];
+		}
+
+		strip_linefeed(message);
+		imcb_buddy_msg(ic, normalize(uin), message, 0, 0);
+		g_free(uin);
+		g_free(m);
+		g_free(message);
+	} break;
+
+	case 0x0006: {         /* Someone requested authorization */
+		gaim_icq_authask(ic, args->uin, args->msg);
+	} break;
+
+	case 0x0007: {         /* Someone has denied you authorization */
+		imcb_log(sess->aux_data,
+		         "The user %u has denied your request to add them to your contact list for the following reason:\n%s", args->uin,
+		         args->msg ? args->msg : _("No reason given."));
+	} break;
+
+	case 0x0008: {         /* Someone has granted you authorization */
+		imcb_log(sess->aux_data,
+		         "The user %u has granted your request to add them to your contact list for the following reason:\n%s", args->uin,
+		         args->msg ? args->msg : _("No reason given."));
+	} break;
+
+	case 0x0012: {
+		/* Ack for authorizing/denying someone.  Or possibly an ack for sending any system notice */
+	} break;
+
+	default: {; } break;
+	}
+
+	return 1;
+}
+
+static int gaim_parse_incoming_im(aim_session_t *sess, aim_frame_t *fr, ...)
+{
 	int channel, ret = 0;
 	aim_userinfo_t *userinfo;
